Bug 1024887 - [engine-webadmin] [external-provider] [text] inappropriate text message on UI when trying to export a disk twice to glance storage domain
[engine-webadmin] [external-provider] [text] inappropriate text message on UI...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Maor
Elad
storage
:
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-10-30 10:45 EDT by Elad
Modified: 2016-02-10 11:36 EST (History)
9 users (show)

See Also:
Fixed In Version: is22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:13:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log and screenshot (495.52 KB, application/x-gzip)
2013-10-30 10:45 EDT, Elad
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20716 None None None Never
oVirt gerrit 20741 None None None Never

  None (edit)
Description Elad 2013-10-30 10:45:49 EDT
Created attachment 817474 [details]
engine.log and screenshot

Description of problem:
related https://bugzilla.redhat.com/show_bug.cgi?id=1024883

When user tries to export disk twice, one after another to glance storage domain, we are getting a message on UI:
"Error while executing action:
ACTION_TYPE_FAILED_DISK_IS_BEING_EXPORTED"

Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.28.beta1.el6ev.noarch
rhevm-webadmin-portal-3.3.0-0.28.beta1.el6ev.noarch

How reproducible:
50%

Steps to Reproduce:
1. add glance as an external provider to RHEVM
2. create a new disk in RHEV
3. export the disk to glance storage domain and immediately, export it again 



Expected results:
The message should be presented in appropriate form. 

Additional info:
engine.log and screenshot
Comment 1 Elad 2013-11-18 08:39:46 EST
I'm getting a proper error message when trying to export a disk to glance domain for the second time while the disk is being exported. 

"Error while executing action: Cannot export Virtual Machine Disk: The following disks are locked: iscs4-1_Disk1. Please try again in a few minutes."

Verified on is23
rhevm-3.3.0-0.33.beta1.el6ev.noarch
Comment 2 Itamar Heim 2014-01-21 17:13:44 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:21:33 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.